package be.msyben.vinylManager.tools.swing;

/**
 * Classe permettant de faire des lignes.
 * @author Mathieu Syben
 */
public class Line {

    private int x1, y1, x2, y2;

    private Line() {
    }

    /**
     * Constructeur.
     * @param x1 x1
     * @param y1 y1
     * @param x2 x2
     * @param y2 y2
     */
    public Line(int x1, int y1, int x2, int y2) {
        this.x1 = x1;
        this.y1 = y1;
        this.x2 = x2;
        this.y2 = y2;
    }

    /**
     * Setter.
     * @param x1 x1
     * @param y1 y1
     * @param x2 x2
     * @param y2 y2
     */
    public void set(int x1, int y1, int x2, int y2) {
        this.x1 = x1;
        this.y1 = y1;
        this.x2 = x2;
        this.y2 = y2;
    }



    /**
     * Méthode permettant d'obtenir la valeur de x1.
     * @return x1
     */
    public int getX1() {
        return x1;
    }

    /**
     * Méthode permettant de setter la valeur de x1.
     * @param x1 x1
     */
    public void setX1(int x1) {
        this.x1 = x1;
    }

    /**
     * Méthode permettant d'obtenir la valeur de x2.
     * @return x2
     */
    public int getX2() {
        return x2;
    }

    /**
     * Méthode permettant de setter la valeur de x2.
     * @param x2 x2
     */
    public void setX2(int x2) {
        this.x2 = x2;
    }

    /**
     * Méthode permettant d'obtenir la valeur de y1.
     * @return y1
     */
    public int getY1() {
        return y1;
    }

    /**
     * Méthode permettant de setter la valeur de y1.
     * @param y1 y1
     */
    public void setY1(int y1) {
        this.y1 = y1;
    }

    /**
     * Méthode permettant d'obtenir la valeur de y2.
     * @return y2
     */
    public int getY2() {
        return y2;
    }

    /**
     * Méthode permettant de setter la valeur de y2.
     * @param y2 y2
     */
    public void setY2(int y2) {
        this.y2 = y2;
    }
}
